* Module ctvideo.h  V010AM01 === 091487
*
*    PROPRIETARY PROGRAM MATERIAL
* REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
* OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
* COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
* COPYRIGHT (C) 1987 UNISYS CORPORATION
*
if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif

ErcType	InitCharMap plm far(char *far pMap, unsigned sMap);
ErcType	InitVidFrame plm far(int iFrame, int iColStart, int iLineStart,
		int nCols, int nLines, int borderDesc, int bBorderChar,
		int bBorderAttr, int fDblHigh, int fDblWide);
ErcType	LoadFontRam plm far(int fh, char *far pBuffer, int sBuffer);
ErcType	QueryVidHdw plm far(void *far pBuffer, int sBuffer);
ErcType	ResetVideo plm far(int nCols, int nLines, int fAttr, int bSpace,
		int *far psMapRet);
ErcType	SetScreenVidAttr plm far(int iAttr, int fOn);

ErcType	PosFrameCursor plm far(int iFrame, int iCol, int iLine);
ErcType	PutFrameAttrs plm far(int iFrame, int iCol, int iLine, int attr,
		int nPos);  
ErcType	PutFrameChars plm far(int iFrame, int iCol, int iLine, 
		char *far pbText, unsigned cbText);
ErcType	QueryFrameChar plm far(int iFrame, int iCol, int iLine,
		char *far pbRet);
ErcType	ResetFrame plm far(int iFrame);
ErcType	ScrollFrame plm far(int iFrame, int iLineStart, int iLineMax,
		int cLines, int fUp); 
